Gecode::Int::Arithmetic::MultDom Class Reference
Other available functionality » Integer propagators

Domain consistent multiplication propagator. More...

`#include <arithmetic.hh>`

## Public Member Functions

| MultDom (Home home, IntView x0, IntView x1, IntView x2)
| Constructor for posting.
virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::TernaryPropagator< IntView, PC_INT_DOM >
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, IntView x0, IntView x1, IntView x2)
| Post propagator .
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| MultDom (Space &home, MultDom &p)
| Constructor for cloning p.
Protected Member Functions inherited from Gecode::TernaryPropagator< IntView, PC_INT_DOM >
| TernaryPropagator (Space &home, TernaryPropagator &p)
| Constructor for cloning p.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Additional Inherited Members

Protected Attributes inherited from Gecode::TernaryPropagator< IntView, PC_INT_DOM >
IntView | x0
| Three views.
IntView | x1
IntView | x2

## Detailed Description

Domain consistent multiplication propagator.

Requires

#include <gecode/int/arithmetic.hh>
arithmetic.hh

Definition at line 736 of file arithmetic.hh.

## Constructor & Destructor Documentation

## MultDom() [1/2]

Gecode::Int::Arithmetic::MultDom::MultDom | ( | Space & | home,
|  | MultDom & | p )

inline protected

Constructor for cloning p.

Definition at line 350 of file mult.hpp.

## MultDom() [2/2]

Gecode::Int::Arithmetic::MultDom::MultDom | ( | Home | home,
|  | IntView | x0,
|  | IntView | x1,
|  | IntView | x2 )

inline

Constructor for posting.

Definition at line 346 of file mult.hpp.

## Member Function Documentation

## post()

ExecStatus Gecode::Int::Arithmetic::MultDom::post | ( | Home | home,
|  | IntView | x0,
|  | IntView | x1,
|  | IntView | x2 )

static

Post propagator .

Definition at line 311 of file mult.cpp.

## copy()

Actor * Gecode::Int::Arithmetic::MultDom::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 197 of file mult.cpp.

## cost()

PropCost Gecode::Int::Arithmetic::MultDom::cost | ( | const Space & | home,
|  | const ModEventDelta & | med ) const

virtual

Cost function.

If in stage for bounds propagation, the cost is low ternary. Otherwise it is high ternary.

Reimplemented from Gecode::TernaryPropagator< IntView, PC_INT_DOM >.

Definition at line 202 of file mult.cpp.

## propagate()

ExecStatus Gecode::Int::Arithmetic::MultDom::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 210 of file mult.cpp.

The documentation for this class was generated from the following files:

- gecode/int/arithmetic.hh
- gecode/int/arithmetic/mult.cpp
- gecode/int/arithmetic/mult.hpp